Bug 196737 - Manual placement patch
Manual placement patch
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: metacity (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Søren Sandmann Pedersen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-26 15:51 EDT by Gérard Milmeister
Modified: 2014-06-18 05:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-06 16:11:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gérard Milmeister 2006-06-26 15:51:27 EDT
I have a Xinerama (resp. Twinview) setup with two
monitors. The metacity placement policy produces inpredictable
and sometimes annoying results. I found the manual placement patch
from http://intgat.tigress.co.uk/rmy/metacity/index.html
to be exactly what I want. The patch allows enabling using
gconf. It would be very useful to include this patch in
the default metacity package.
Comment 1 Gérard Milmeister 2006-06-26 17:09:30 EDT
Oops, that wasn't the patch I meant.
This is it:
http://www.vislab.uq.edu.au/research/accessgrid/software/fedora/related
It places the new window on the screen, that the mouse is currently in.
Comment 2 Søren Sandmann Pedersen 2006-09-06 16:11:54 EDT
This patch should be submitted to the upstream project for consideration. I am
not necessarily opposed to the idea, but it's really upstream's call.

Note that setting "disable_workarounds" to true has significant problems in
practice, so we are not going to do that.

Note You need to log in before you can comment on or make changes to this bug.